## kauth 5.74.0

=== debian/changelog ===
kauth (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:27 +0100

kauth (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:08 +0100

kauth (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:22:07 +0100

kauth (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:14 +0100

kauth (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:30 +0100

kauth (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - libkf5auth-dev-bin: Correct some grammar and spelling in the
      long description.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 09:30:10 +0100

kauth (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:01 +0200

kauth (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:06 +0100

kauth (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Remove QT_SELECT.
  * Update symbols from build for 5.69.0.
  * Add Build-Depends-Package to symbols file.
  * Update lintian-overrides for libkf5auth-data.
  * Remove COPYING-CMAKE-SCRIPTS listed in copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 01:01:52 +0200

=== debian/control ===
Source: kauth
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5coreaddons-dev (>= 5.74.0~),
               libpolkit-qt5-1-dev,
               libqt5sql5-sqlite,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kauth
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
Rules-Requires-Root: no

Package: libkf5auth-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains data files.

Package: libkf5auth-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5auth-dev-bin (= ${binary:Version}),
         libkf5auth5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.74.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
Replaces: libkf5auth-bin-dev (<< 5.41.0-1~)
Recommends: libkf5auth-doc (= ${source:Version})
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains development files for kauth.

Package: libkf5auth-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Breaks: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
Replaces: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains helper binaries for development.
 You never depend on this directly, because the *.cmake files are
 not included in this package, (as they are arch-dependent).

Package: libkf5auth-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Abstraction to system policy and authentication features (documentation)
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5auth5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         libkf5authcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.

Package: libkf5authcore5
Architecture: any
Multi-Arch: same
Depends: libkf5auth-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5auth5 (<< 5.56.0~)
Replaces: libkf5auth5 (<< 5.56.0~)
Description: Abstraction to system policy and authentication features
 KAuth is a framework to let applications perform actions as a
 privileged user.
 .
 KAuth is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKAUTH_HELPER_INSTALL_DIR="lib/kauth/libexec"

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kauth 5.78.0

=== debian/changelog ===
kauth (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:18 +0900

kauth (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kauth (5.77.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop debian/not-installed, which lists only a bogus file.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Dec 2020 13:33:54 +0100

kauth (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kauth (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:51 +0900

kauth (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:15:20 +0200

kauth (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5auth-data.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kauth
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kauth
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kauth
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kauth.git
 Rules-Requires-Root: no
 
 Package: libkf5auth-data
@@ -40,9 +41,9 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.74.0~),
+         libkf5coreaddons-dev (>= 5.78.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
 Replaces: libkf5auth-bin-dev (<< 5.41.0-1~)
 Recommends: libkf5auth-doc (= ${source:Version})
@@ -68,8 +69,8 @@
  KAuth is part of KDE Frameworks 5.
  .
  This package contains helper binaries for development.
- You never depend on this directly, because the *.cmake files are
- not included in this package, (as they are arch-dependent).
+ You never should depend on this directly, cause the *.cmake files are
+ not included in that package (as they are arch-dependant).
 
 Package: libkf5auth-doc
 Architecture: all
@@ -90,21 +91,52 @@
 Depends: libkf5auth-data (= ${source:Version}),
          libkf5authcore5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
  .
  KAuth is part of KDE Frameworks 5.
+Breaks: kdesignerplugin (<< 5.42),
+        kio (<< 5.54),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.42),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.42),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.42),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.42),
+        libkf5kiowidgets5 (<< 5.42),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.42),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5plasma5 (<< 5.42),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor-bin (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.42),
+        libkf5wallet-bin (<< 5.42),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui5 (<< 5.42),
+        plasma-framework (<< 5.42),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
 
 Package: libkf5authcore5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5auth-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libkf5auth5 (<< 5.56.0~)
-Replaces: libkf5auth5 (<< 5.56.0~)
+         ${shlibs:Depends}
+Breaks: libkf5auth5 (<< 5.56~)
+Replaces: libkf5auth5 (<< 5.56~)
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKAUTH_HELPER_INSTALL_DIR="lib/kauth/libexec" -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kauth 5.80.0

=== debian/changelog ===
kauth (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:16 +0000

kauth (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)
  * Refresh make_kauth-gen-policy_useful_for_crosscompiling patch

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:49 +0000

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.80.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
-               qttools5-dev-tools (>= 5.4)
+               qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kauth
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
@@ -41,9 +41,9 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.78.0~),
+         libkf5coreaddons-dev (>= 5.80.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
 Replaces: libkf5auth-bin-dev (<< 5.41.0-1~)
 Recommends: libkf5auth-doc (= ${source:Version})

## kauth 5.86.0

=== debian/changelog ===
kauth (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:23 +0100

kauth (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:24:59 +0100

kauth (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:30 +0100

kauth (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:21 +0100

kauth (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:54:57 +0100

kauth (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.80.0~),
+               libkf5coreaddons-dev (>= 5.86.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
@@ -41,7 +41,7 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.80.0~),
+         libkf5coreaddons-dev (>= 5.86.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)

## kauth 5.92.0

=== src/CMakeLists.txt ===
# This file handles all the logic for compiling KAuth's backends
include(ConfigureChecks.cmake)

# Configure a small file to tell BackendsManager what to use
configure_file(BackendsConfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/BackendsConfig.h)

set(KAUTH_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KAuth")
set(KAUTHCORE_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KAuthCore")
set(KAUTHWIDGETS_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KAuthWidgets")

ecm_create_qm_loader(KAuth_QM_LOADER kauth5_qt)

set(kauthdebug_SRCS)
ecm_qt_declare_logging_category(kauthdebug_SRCS
    HEADER kauthdebug.h
    IDENTIFIER KAUTH
    CATEGORY_NAME kf.auth
    OLD_CATEGORY_NAMES kf5.kauth
    DESCRIPTION "KAuth"
    EXPORT KAUTH
)

if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    add_library(KF5AuthCore)
    add_library(KF5::AuthCore ALIAS KF5AuthCore)
    set_target_properties(KF5AuthCore PROPERTIES
        VERSION     ${KAUTH_VERSION}
        SOVERSION   ${KAUTH_SOVERSION}
        EXPORT_NAME AuthCore
    )

    target_sources(KF5AuthCore PRIVATE
        action.cpp
        actionreply.cpp
        executejob.cpp
        AuthBackend.cpp
        BackendsManager.cpp
        HelperProxy.cpp
        helpersupport.cpp
        ${kauthdebug_SRCS}
        backends/fake/FakeBackend.cpp
        backends/fakehelper/FakeHelperProxy.cpp
        ${KAuth_QM_LOADER}
    )

    ecm_generate_export_header(KF5AuthCore
        BASE_NAME KAuthCore
        GROUP_BASE_NAME KF
        VERSION ${KF_VERSION}
        DEPRECATED_BASE_VERSION 0
        DEPRECATION_VERSIONS 5.71
        EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    )
    target_link_libraries(KF5AuthCore PUBLIC Qt${QT_MAJOR_VERSION}::Core KF5::CoreAddons)  # for KJob
    target_link_libraries(KF5AuthCore PRIVATE Qt${QT_MAJOR_VERSION}::DBus)

    target_include_directories(KF5AuthCore INTERFACE
        "$<INSTALL_INTERFACE:${KAUTHCORE_INSTALL_INCLUDEDIR};${KAUTH_INSTALL_INCLUDEDIR}>"
    )
    install(TARGETS KF5AuthCore EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

    ecm_generate_headers(KAuthCore_CamelCase_HEADERS
        HEADER_NAMES
            Action
            ActionReply
            ExecuteJob
            HelperSupport

        PREFIX KAuth
        REQUIRED_HEADERS KAuthCore_HEADERS
    )
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kauthcore_export.h
        ${KAuthCore_HEADERS}
        DESTINATION ${KAUTHCORE_INSTALL_INCLUDEDIR}/kauth # C++ namespace
        COMPONENT Devel
    )
    install(FILES
        ${KAuthCore_CamelCase_HEADERS}
        DESTINATION ${KAUTHCORE_INSTALL_INCLUDEDIR}/KAuth # C++ namespace
        COMPONENT Devel
    )

    add_library(KF5AuthWidgets)
    add_library(KF5::AuthWidgets ALIAS KF5AuthWidgets)
    set_target_properties(KF5AuthWidgets PROPERTIES
        VERSION     ${KAUTH_VERSION}
        SOVERSION   ${KAUTH_SOVERSION}
    )
    if (QT_MAJOR_VERSION STREQUAL "5")
        # backward-compat name
        set_target_properties(KF5AuthWidgets PROPERTIES
            OUTPUT_NAME KF5Auth
            EXPORT_NAME Auth
        )
    else()
        set_target_properties(KF5AuthWidgets PROPERTIES
            EXPORT_NAME AuthWidgets
        )
    endif()

    target_sources(KF5AuthWidgets PRIVATE
        ${kauthdebug_SRCS}
        objectdecorator.cpp
    )

    ecm_generate_export_header(KF5AuthWidgets
        BASE_NAME KAuth
        GROUP_BASE_NAME KF
        VERSION ${KF_VERSION}
        DEPRECATED_BASE_VERSION 0
        DEPRECATION_VERSIONS 5.92
        EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    )

    target_include_directories(KF5AuthWidgets INTERFACE "$<INSTALL_INTERFACE:${KAUTHWIDGETS_INSTALL_INCLUDEDIR}>")

    target_link_libraries(KF5AuthWidgets PUBLIC KF5AuthCore)
    target_link_libraries(KF5AuthWidgets PRIVATE Qt${QT_MAJOR_VERSION}::Widgets)

    install(TARGETS KF5AuthWidgets EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

    ecm_generate_headers(KAuthWidgets_CamelCase_HEADERS
        HEADER_NAMES
            ObjectDecorator

        PREFIX KAuth
        REQUIRED_HEADERS KAuthWidgets_HEADERS
    )
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kauth_export.h
        ${KAuthWidgets_HEADERS}
        DESTINATION ${KAUTHWIDGETS_INSTALL_INCLUDEDIR}/kauth # C++ namespace
        COMPONENT Devel
    )
    install(FILES
        ${KAuthWidgets_CamelCase_HEADERS}
        DESTINATION ${KAUTHWIDGETS_INSTALL_INCLUDEDIR}/KAuth # C++ namespace
        COMPONENT Devel
    )

    # provide KF6-forward compat import target
    if (QT_MAJOR_VERSION STREQUAL "5")
        add_library(KF5AuthFutureWidgets INTERFACE)
        target_link_libraries(KF5AuthFutureWidgets INTERFACE KF5AuthWidgets)
        set_target_properties(KF5AuthFutureWidgets PROPERTIES
            EXPORT_NAME AuthWidgets
        )
        install(TARGETS KF5AuthFutureWidgets EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
    endif()

    # provide compat headers for old C++ namespace-part-of-filename includes
    if(NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.92.0)

        install(FILES
                compatheaders/KAuth
                compatheaders/kauth.h
                compatheaders/KAuthAction
                compatheaders/kauthaction.h
                compatheaders/KAuthActionReply
                compatheaders/kauthactionreply.h
                compatheaders/KAuthExecuteJob
                compatheaders/kauthexecutejob.h
                compatheaders/KAuthHelperSupport
                compatheaders/kauthhelpersupport.h
                compatheaders/KAuthObjectDecorator
                compatheaders/kauthobjectdecorator.h
            DESTINATION ${KAUTH_INSTALL_INCLUDEDIR}
            COMPONENT Devel
        )
    endif()
endif()

# KAuth policy generator executable

# Compile only if fake backend has not been selected

if (NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    # KAUTH_POLICY_GEN_SRCS has been generated from ConfigureChecks.cmake
    add_executable(kauth-policy-gen ${KAUTH_POLICY_GEN_SRCS})
    add_executable(KF5::kauth-policy-gen ALIAS kauth-policy-gen)
    if (APPLE)
        include(ECMMarkNonGuiExecutable)
        ecm_mark_nongui_executable(kauth-policy-gen)
    endif ()

    # KAUTH_POLICY_GEN_LIBRARIES has been generated from ConfigureChecks.cmake
    target_link_libraries( kauth-policy-gen PRIVATE ${KAUTH_POLICY_GEN_LIBRARIES} )

    install( TARGETS kauth-policy-gen EXPORT KF5AuthToolsTargets DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
endif ()

# KAuth backend plugin

if (NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE" AND NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    # KAUTH_BACKEND_SRCS has been set from ConfigureChecks.cmake
    # KAuth::AuthBackend is not exported
    add_library(kauth_backend_plugin MODULE ${KAUTH_BACKEND_SRCS} AuthBackend.cpp ${kauthdebug_SRCS})
    target_link_libraries(kauth_backend_plugin PRIVATE ${KAUTH_BACKEND_LIBS})
    set_target_properties(kauth_backend_plugin PROPERTIES PREFIX "")

    install(TARGETS kauth_backend_plugin
            LIBRARY DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
            ARCHIVE DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
            RUNTIME DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_BACKEND_PLUGIN_DIR}"
    )
endif ()

# KAuth helper plugin

if (NOT "${KAUTH_HELPER_BACKEND_NAME}" STREQUAL "FAKE" AND NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    # KAuth::HelperProxy is not exported
    add_library(kauth_helper_plugin MODULE ${KAUTH_HELPER_BACKEND_SRCS} HelperProxy.cpp ${kauthdebug_SRCS})
    target_link_libraries(kauth_helper_plugin PRIVATE ${KAUTH_HELPER_BACKEND_LIBS})
    set_target_properties(kauth_helper_plugin PROPERTIES PREFIX "")
    install(TARGETS kauth_helper_plugin
            LIBRARY DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
            ARCHIVE DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
            RUNTIME DESTINATION "${KDE_INSTALL_PLUGINDIR}/${KAUTH_HELPER_PLUGIN_DIR}"
    )
endif ()

ecm_qt_install_logging_categories(
    EXPORT KAUTH
    FILE kauth.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Auth_QCH
        NAME KAuth
        BASE_NAME KF5Auth
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KAuthCore_HEADERS}
            ${KAuthWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            KF5CoreAddons_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        EXAMPLE_DIRS
            ${CMAKE_SOURCE_DIR}/examples
        BLANK_MACROS
            KAUTHCORE_EXPORT
            KAUTH_EXPORT
            KAUTH_DEPRECATED
            KAUTH_DEPRECATED_EXPORT
            "KAUTHCORE_DEPRECATED_VERSION(x, y, t)"
            "KAUTHCORE_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(
    BASE_NAME KAuthCore
    LIB_NAME KF5AuthCore
    DEPS "core KCoreAddons"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIRS
        ${KAUTHCORE_INSTALL_INCLUDEDIR}
        ${KAUTH_INSTALL_INCLUDEDIR}
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
ecm_generate_pri_file(
    BASE_NAME KAuth
    LIB_NAME KF5Auth
    DEPS "KAuthCore"
    FILENAME_VAR PRI_FILENAME
    INCLUDE_INSTALL_DIRS ${KAUTHWIDGETS_INSTALL_INCLUDEDIR}
)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kauth (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:27 +0000

kauth (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:51 +0000

kauth (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:06 +0000

kauth (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:37 +0000

kauth (5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:36 +0000

kauth (5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 12:46:13 +0000

kauth (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kauth (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:03 +0900

kauth (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kauth (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:00:39 +0900

kauth (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:33 +0900

kauth (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:13:52 +0900

kauth (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:04:39 +0900

kauth (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:16 +0900

kauth (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kauth (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Remove graphviz from build depends.
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5coreaddons-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kauth.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
 Rules-Requires-Root: no
 
 Package: libkf5auth-data
@@ -41,7 +40,7 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.86.0~),
+         libkf5coreaddons-dev (>= 5.92.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
@@ -91,7 +90,7 @@
 Depends: libkf5auth-data (= ${source:Version}),
          libkf5authcore5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -127,14 +126,14 @@
         libkf5webkit5 (<< 5.42),
         libkf5xmlgui5 (<< 5.42),
         plasma-framework (<< 5.42),
-        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
 
 Package: libkf5authcore5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5auth-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: libkf5auth5 (<< 5.56~)
 Replaces: libkf5auth5 (<< 5.56~)
 Description: Abstraction to system policy and authentication features

## kauth 5.98.0

=== debian/changelog ===
kauth (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:20 +0100

kauth (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:29 +0100

kauth (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:31 +0100

kauth (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:49 +0100

kauth (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:33 +0100

kauth (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
                libpolkit-qt5-1-dev,
                libqt5sql5-sqlite,
                pkg-config,
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.92.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)

## kauth 5.100.0

=== debian/changelog ===
kauth (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:59 +0100

kauth (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:40 +0200

kauth (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:32 +0200

kauth (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh lintian overrides.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:00 +0200

kauth (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kauth (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kauth (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update lintian-overrides for libkf5auth-data.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kauth
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libpolkit-qt5-1-dev,
+               extra-cmake-modules (>= 5.100.0~),
+               libkf5coreaddons-dev (>= 5.100.0~),
+               libpolkit-qt5-1-dev (>= 0.112.0~),
                libqt5sql5-sqlite,
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kauth
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kauth
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kauth.git
 Rules-Requires-Root: no
 
 Package: libkf5auth-data
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.100.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)

## kauth 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project(KAuth VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
include(ECMPoQmTools)
include(ECMAddQch)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}DBus ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

option(KAUTH_BUILD_CODEGENERATOR_ONLY "Only build the kauth-policy-gen code generator." OFF)
if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
endif()


set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KAUTH
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kauth_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfigVersion.cmake"
                        SOVERSION 5)

find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)

set(KAUTH_HELPER_INSTALL_DIR "${KDE_INSTALL_LIBEXECDIR}/kauth")

if(IS_ABSOLUTE ${KAUTH_HELPER_INSTALL_DIR})
    set(KAUTH_HELPER_INSTALL_ABSOLUTE_DIR ${KAUTH_HELPER_INSTALL_DIR})
else()
    set(KAUTH_HELPER_INSTALL_ABSOLUTE_DIR "${CMAKE_INSTALL_PREFIX}/${KAUTH_HELPER_INSTALL_DIR}")
endif()

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)

if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    if (BUILD_TESTING)
        add_subdirectory(autotests)
    endif()
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Auth")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Auth_QCH
        FILE KF5AuthQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5AuthQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AuthConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfig.cmake"
    PATH_VARS KDE_INSTALL_DATADIR_KF
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5AuthConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/cmake/KF5AuthMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


if(NOT KAUTH_BUILD_CODEGENERATOR_ONLY)
    install(EXPORT KF5AuthTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5AuthTargets.cmake NAMESPACE KF5:: COMPONENT Devel)
endif()

if(NOT "${KAUTH_BACKEND_NAME}" STREQUAL "FAKE")
    install(EXPORT KF5AuthToolsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
            FILE KF5AuthToolsTargets.cmake NAMESPACE KF5:: COMPONENT Devel)
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kauth_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KAuth COMPONENT Devel)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,7 @@
     target_include_directories(KF5AuthCore INTERFACE
         "$<INSTALL_INTERFACE:${KAUTHCORE_INSTALL_INCLUDEDIR};${KAUTH_INSTALL_INCLUDEDIR}>"
     )
-    install(TARGETS KF5AuthCore EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+    install(TARGETS KF5AuthCore EXPORT KF5AuthTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
     ecm_generate_headers(KAuthCore_CamelCase_HEADERS
         HEADER_NAMES
@@ -118,7 +118,7 @@
     target_link_libraries(KF5AuthWidgets PUBLIC KF5AuthCore)
     target_link_libraries(KF5AuthWidgets PRIVATE Qt${QT_MAJOR_VERSION}::Widgets)
 
-    install(TARGETS KF5AuthWidgets EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+    install(TARGETS KF5AuthWidgets EXPORT KF5AuthTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
     ecm_generate_headers(KAuthWidgets_CamelCase_HEADERS
         HEADER_NAMES
@@ -146,7 +146,7 @@
         set_target_properties(KF5AuthFutureWidgets PROPERTIES
             EXPORT_NAME AuthWidgets
         )
-        install(TARGETS KF5AuthFutureWidgets EXPORT KF5AuthTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+        install(TARGETS KF5AuthFutureWidgets EXPORT KF5AuthTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
     endif()
 
     # provide compat headers for old C++ namespace-part-of-filename includes

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
-               libkf5coreaddons-dev (>= 5.100.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5coreaddons-dev (>= 5.103.0~),
                libpolkit-qt5-1-dev (>= 0.112.0~),
                libqt5sql5-sqlite,
                pkg-config,
@@ -16,7 +16,7 @@
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kauth
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kauth.git
@@ -25,7 +25,7 @@
 Package: libkf5auth-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -40,12 +40,12 @@
 Multi-Arch: same
 Depends: libkf5auth-dev-bin (= ${binary:Version}),
          libkf5auth5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.100.0~),
+         libkf5coreaddons-dev (>= 5.103.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54)
-Replaces: libkf5auth-bin-dev (<< 5.41.0-1~)
-Recommends: libkf5auth-doc (= ${source:Version})
+Breaks: libkf5auth-bin-dev (<< 5.41.0-1~), libkf5configwidgets-dev (<< 5.54),
+Replaces: libkf5auth-bin-dev (<< 5.41.0-1~),
+Recommends: libkf5auth-doc (= ${source:Version}),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -58,9 +58,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Breaks: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
-Replaces: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~),
+Replaces: libkf5auth-bin-dev (<< 5.42.0-1~), libkf5auth-dev (<< 5.42.0-1~),
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -74,7 +74,7 @@
 Package: libkf5auth-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Abstraction to system policy and authentication features (documentation)
  KAuth is a framework to let applications perform actions as a
  privileged user.
@@ -134,8 +134,8 @@
 Depends: libkf5auth-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5auth5 (<< 5.56~)
-Replaces: libkf5auth5 (<< 5.56~)
+Breaks: libkf5auth5 (<< 5.56~),
+Replaces: libkf5auth5 (<< 5.56~),
 Description: Abstraction to system policy and authentication features
  KAuth is a framework to let applications perform actions as a
  privileged user.
